---
layout: handbook-page-toc
title: "Dev Career Framework: Staff Backend Engineer"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Dev Staff Backend Engineer
 
<%= partial("handbook/engineering/career-development/matrix/engineering/development/dev/dev_be_career_matrix_nav.erb") %>

**Dev Staff Backend Engineers at GitLab are expected to exhibit the following competencies:**

* [Leadership Competencies](#leadership-competencies)
* [Technical Competencies](#technical-competencies)
* [Values Alignment](#values-alignment)

---

### Leadership Competencies

<%= partial("handbook/engineering/career-development/matrix/engineering/engineering_staff_leadership_competency.erb") %>
  
 <%= partial("handbook/engineering/career-development/matrix/engineering/development/dev/staff/backend/dev_be_staff_leadership_competency.erb") %>

### Technical Competencies

<%= partial("handbook/engineering/career-development/matrix/engineering/engineering_staff_technical_competency.erb") %>

 <%= partial("handbook/engineering/career-development/matrix/engineering/development/dev/staff/backend/dev_be_staff_technical_competency.erb") %>

###  Values Alignment

<%= partial("handbook/engineering/career-development/matrix/engineering/values_competency.erb") %>

<%= partial("handbook/engineering/career-development/matrix/engineering/development/dev/dev_be_career_matrix_nav.erb") %>

